import java.util.ArrayList;
import java.util.Scanner;
import java.io.File;
import java.io.FileNotFoundException;

/**
 * A class representing a file filled with Twitter data.
 * 
 * @author Joel
 * @version Sp15
 */
public class TwitterDataFile
{
    private ArrayList<String> lines; //

    /**
     * Creates a new TwitterDataFile representing the given file of twitter data.
     * File names are pathnames and should include the extension (e.g., myFile.txt)
     * @param filename A pathname String
     */
    public TwitterDataFile(String filename)
    {
        lines = new ArrayList<String>();
        try{
            Scanner scanner = new Scanner(new File(filename));
            while(scanner.hasNextLine())
            {
                lines.add(scanner.nextLine());
            }
            scanner.close();
        }
        catch(FileNotFoundException fnfe)
        {
            //print the error
            fnfe.printStackTrace();
            System.exit(1); //crash
        }
    }
    
    /**
     * Gets the twitter data from the TwitterDataFile as an ArrayList of tweet data
     * Each tweet data is a String of the format: timestamp TAB author TAB content
     * @return an ArrayList of the tweets (each represented as a String)
     */
    public ArrayList<String> getTwitterDataList()
    {
        return lines;
    }
}
