import java.util.Scanner;

/**
 * A terminal-based user interface for searching through a collection of Tweets
 * 
 * @author Joel
 * @version Sp15
 */
public class TwitterSearcher
{
	/**
	 * Starts the twitter searching program
	 */
	public static void search()
	{
		TweetAnalyzer analyzer = new TweetAnalyzer(); //the twitter searching program
		Scanner scanner = new Scanner(System.in); //for user input

		System.out.println("Welcome to Sentimental Twitter Search!");
		boolean searching = true; //sentinel for when to continue
		while(searching)
		{
			System.out.println("\nEnter some text to search for, or type QUIT to stop.");
			String input = scanner.nextLine(); //get the input from the user
			if(!input.equals("QUIT"))
			{
				analyzer.printSearchResults(input); //perform search and print results
			}
			else
			{
				searching = false; //they typed QUIT, so stop
			}
		}
		System.out.println("Goodbye!");
		scanner.close(); //close the scanner (to keep things neat)
	}
}
